System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Manages a standard endpoint element for a service application configuration file.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Applies the content of a specific service endpoint to the current channel endpoint element.

  An endpoint that enables clients to find and communicate with the service. An endpoint element that defines the physical transfer of messages back and forth between the client and the service.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Applies the content of a specific service endpoint to the current service endpoint element.

  An endpoint that enables clients to find and communicate with the service. An endpoint element that defines how clients find and communicate with the service.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` To be added.

  When implemented in a derived class, creates a service endpoint from message information contained in the specified contract description.

  A service endpoint.

  Information about what is contained in messages being sent from an endpoint.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Not implemented.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes and verifies the format of the specified channel endpoint in a service application configuration file.

  An endpoint element that defines the physical transfer of messages back and forth between the client and the service.
- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes and verifies the format of the specified service endpoint in a service application configuration file.

  An endpoint element that enables clients to find and communicate with the service.
- Method
  4.0.0.0
  System.Void `` To be added.

  Ensures that the specified service endpoint is not null and that its type matches the current endpoint type.

  An endpoint that enables clients to find and communicate with the service.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("name", Options=System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(MinLength=0)
  System.String To be added. To be added.

  Gets or sets the name of the current endpoint element from a list of configuration strings for that element.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  When called from a derived class, loads the service description information from the configuration file and applies it to the runtime being constructed.

  An endpoint that enables clients to find and communicate with the service. An endpoint element that defines the physical transfer of messages back and forth between the client and the service.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  When called from a derived class, loads the service description information from the configuration file and applies it to the runtime being constructed.

  An endpoint that enables clients to find and communicate with the service.
- Method
  4.0.0.0
  System.Void `` To be added.

  When called from a derived class, initializes and verifies the format of the specified service endpoint in a service application configuration file.

  An endpoint element that defines the physical transfer of messages back and forth between the client and the service.
- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  When called from a derived class, initializes and verifies the format of the specified service endpoint in a service application configuration file.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets the collection of properties of the current endpoint element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Resets the internal state of the object, including the locks and the properties collections.

  The top level of a configuration element that has sub-elements.